Records/Get a record

Get a record

GET/tables/{tableId}/records/{recordId}

Authorization

AuthorizationRequiredBearer <token>

Authorization: Bearer onn_live_…. Prefix lookup (first 12 characters) plus argon2id. Scopes are tables:read and tables:write (write implies read).

In: header

Path Parameters

tableIdRequiredstring

Table UUID (not alias_id).

Format: "uuid"
recordIdRequiredstring

Record UUID.

Format: "uuid"
curl -X GET "https://api.onnie.ai/api/public/v1/tables/497f6eca-6276-4993-bfeb-53cbbbba6f08/records/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"

Public record

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "table_id": "ac92386a-00cc-4818-bf43-1a666d5a5e67",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "fields": {}
}